//---------------------------------------------------------------------------
#ifndef uListeLanguesH
#define uListeLanguesH
//---------------------------------------------------------------------------
#include "Eic.h" //Pour PACKAGE_EIC
enum IDLangue
   {
   lngFRANCAIS,
   lngANGLAIS,
   lngALLEMAND,
   NB_LANGUES,
   lngInconnue,
   };

struct TLangue
   {
   IDLangue ID;
   char *szNomLangue;
   };

class PACKAGE_EIC TListeLangues
   {
   private :
      TStringList *slLangues;

      TLangue __fastcall GetTabLangues(short shItem) const;
      short __fastcall GetCount() const;

   public :
      __fastcall TListeLangues();
      virtual __fastcall ~TListeLangues();

      IDLangue __fastcall NomLangueToID(const AnsiString &aNomLangue) const;
      AnsiString __fastcall IDToNomLangue(IDLangue eIDLangue) const;

      __property TLangue TabLangues[short shItem] = {read = GetTabLangues};
      __property short Count = {read = GetCount};
   };

#endif
